Bug 9509 - batchMod.pl does not ensure each barcode is unique
Summary: batchMod.pl does not ensure each barcode is unique
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 17:44 UTC by Kyle M Hall
Modified: 2018-03-26 15:20 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9509 - batchMod.pl does not ensure each barcode is unique (1.31 KB, patch)
2013-01-30 17:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9509 - batchMod.pl does not ensure each barcode is unique (1.45 KB, patch)
2013-02-02 03:32 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 9509 - batchMod.pl does not ensure each barcode is unique (1.47 KB, patch)
2013-02-05 10:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-01-30 17:44:16 UTC
batchMod.pl does not ensure each barcode is unique. This means that if a barcode is list twice, the actions are applied to it twice. This is not a problem, unless the modification is to batch delete items, in which case the batch deletion fails at the first duplicate barcode.
Comment 1 Kyle M Hall 2013-01-30 17:47:19 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-02-02 03:32:49 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-05 10:33:05 UTC
QA comment:

Simple patch, works as expected.
It removes duplicated barcodes.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-05 10:33:42 UTC
Created attachment 15049 [details] [review]
Bug 9509 - batchMod.pl does not ensure each barcode is unique

Test plan:
1) Browse to Tools › Batch item deletion
2) Enter a list of barcodes, make sure you have at
   least one barcode listed more than once
3) Click continue
4) Verify the duplicated barcode shows up multiple times in the table
5) Apply patch
6) Refresh the page
7) Verify each barcode now displays only once

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
verified bug and fix - both good.

Nice test plan, thanks!

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-02-05 12:34:55 UTC
This patch has been pushed to master.
Comment 6 Kyle M Hall 2013-02-05 13:48:17 UTC
I'm not seeing this commit in master, am I just being impatient?
Comment 7 Jared Camins-Esakov 2013-02-05 13:50:59 UTC
(In reply to comment #6)
> I'm not seeing this commit in master, am I just being impatient?

I will be pushing master shortly.
Comment 8 Chris Cormack 2013-02-06 19:37:03 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.10 and 3.10.3